using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IProductionLogic
	{
		List<ProductionViewModel>? ReadList(ProductionSearchModel? model);
		ProductionViewModel? ReadElement(ProductionSearchModel? model);
		bool Create(ProductionBindingModel? model);
		bool Update(ProductionBindingModel? model);
		bool Delete(ProductionBindingModel? model);
	}
}
